Page MenuHomePhabricator

Make it easier to access talk pages in the Android app
Closed, ResolvedPublic

Description

If you want to read or edit a talk page you actually need to search for the title of the talk page (e.g. "Talk:Android" and click "Talk:Android_(operating_system)"). It would be better to have a link/button at the end of an article (or in the menu under "Font and theme") which takes you directly to the talk page.

See also: T54165: Links to talk pages in mobile view for all anonymous users

Event Timeline

Florian created this task.Feb 15 2015, 5:10 PM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 5:10 PM
Krenair set Security to None.

See also T54165 in MobileFrontend

Deskana triaged this task as Lowest priority.Feb 16 2015, 4:17 AM
Deskana added a subscriber: Deskana.

Talk pages serve mobile users really poorly right now. In order to resolve that problem we'd need to invest a lot in to this, and we're not capable of doing that at this moment.

YMS added a subscriber: YMS.Mar 11 2015, 4:48 PM

In conjunction with merging T92285 into this case: Please note that the problem does not only affect article talk pages, as this case's description suggests, but also user talk pages.

It is a problem that app users won't find article talk pages, but it's an absolute no-go that they'll never even notice that someone posted a message on their talk page. This will lead (and possibly already has done so) to users being blocked because they don't react to those messages accordingly, or users turn themselves away from Wikipedia as they don't understand why some of their edits are reverted without an explanation, or other users get angry because noboy listens to them any more. Being able to communicate is an absolutely essential part of editing Wikipedia, and not being able to do so is not just a missing feature, it's a definitive and avoidable root of conflicts.

yuvipanda removed a subscriber: yuvipanda.
Man77 added a subscriber: Man77.Apr 2 2015, 10:42 PM
Qgil renamed this task from Make it easier to access talk pages to Make it easier to access talk pages in the Android app.Jun 5 2015, 8:42 AM
Qgil updated the task description. (Show Details)
Thgoiter removed a subscriber: Thgoiter.Jan 27 2016, 9:19 PM
RHo updated the task description. (Show Details)

+1 from OTRS 9985903

bearND added a subscriber: bearND.May 31 2017, 9:48 PM

While not ideal, I wanted to mention that some basic improvements have been made to access talk pages from corresponding articles. When viewing an article scroll all the way down (hint: use ToC to quickly just to last section). At the end there should be a "Talk" link, which opens the Talk page in a browser.

RHo closed this task as Resolved.Aug 11 2017, 10:40 AM
RHo claimed this task.
RHo added a subscriber: RHo.

Closing as per comments above, there is now a link to talk pages in the footer of articles.